#-------------------------------------------------
#
# Project created by QtCreator 2020-11-20T22:26:38
#
#-------------------------------------------------

QT       += core gui \
         multimedia

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = tank_attack
TEMPLATE = app

# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

QMAKE_CXXFLAGS += -std=c++17
QMAKE_CXXFLAGS += -Wno-overloaded-virtual


SOURCES += \
    code/src/Client.cpp \
    code/src/HealthBar.cpp \
    code/src/Input.cpp \
    code/src/Rocket.cpp \
    code/src/Server.cpp \
    code/src/ServerWorker.cpp \
    code/src/SuperPower.cpp \
    code/src/World.cpp \
    code/src/main.cpp \
    code/src/Map.cpp \
    code/src/Tank.cpp \
    code/src/Wall.cpp

HEADERS += \
    code/include/Client.hpp \
    code/include/HealthBar.hpp \
    code/include/Input.hpp \
    code/include/Server.hpp \
    code/include/ServerWorker.hpp \
    code/include/SuperPower.hpp \
    code/include/World.hpp \
    code/include/Rocket.hpp \
    code/include/Map.hpp \
    code/include/Tank.hpp \
    code/include/Wall.hpp \
    code/include/button.hpp

FORMS +=

RESOURCES += \
    code/res/resources.qrc

DISTFILES += \
    code/res/mapa1.txt \
    code/src/mapa1.txt
